<?

include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'blog_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Блог успешно изменен' . div;
    
}

if ( $_GET['mod'] == 'blog_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении блога' . div;
    
}

if ( $_GET['mod'] == 'blog_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Блог успешно удален' . div;
    
}

if ( $_GET['mod'] == 'blog_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении блога' . div;
    
}
##################################

if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_blog'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_blog` = '1'");
        echo link2 . 'Блог включен' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_blog` = '0'");
        echo link2 . 'Блог выключен' . div;        
    }
    
}

if ( $config['status_blog'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$result = mysql_query("SELECT * FROM blogs");
while($blog = mysql_fetch_assoc($result)){

    echo link1 . 'Запись: '.$blog['top'].' - '.$blog['date'] . div;
    echo link2 . $blog['msg'] . '<br/ ><br/ >';
    echo '<a href="blog_edit.php?id='.$blog['id'].'">Править</a> <a href="blog_delete.php?id='.$blog['id'].'">Удалить</a>' . div;
    
}